Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162503 - Satellite Sync from a mount directory fails, and does not print messages, when content is old
Summary: Satellite Sync from a mount directory fails, and does not print messages, whe...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer
Version: 370
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Todd Sanders
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 16:47 UTC by Scott McBrien
Modified: 2009-03-24 18:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-24 18:07:34 UTC


Attachments (Terms of Use)

Description Scott McBrien 2005-07-05 16:47:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
So, I download the content isos, mount them and copy their data into a local directory to sync channels off of.  This directory is also shared via NFS so other satellite servers can sync off of it using the --mount-point option.

All works well, at first.  But if the directory is left alone for a few weeks, more than two, less than 4 (haven't got an exact time), new satellite servers can no longer use it to sync from.  The new server's satellite-sync command appears to work, imports meta-data and such into the embedded oracle instance, the web interface shows the channel and that it has package content; however, the packages are NOT loaded onto the satellite server.

If I delete the import directory, remake it from the same set of content isos, and re-run satellite sync, the new satellite server will upload the package content from the directory.  And additional servers can also once again sync channels off of this directory.

Version-Release number of selected component (if applicable):
RHN Satellite Server 3.7.1

How reproducible:
Always

Steps to Reproduce:
1.download RHN content isos
2.mount them and copy them to a directory on your system
3.don't do anything with the files in that directory for 3 weeks
4.try to satellite-sync a channel from the directory onto a satellite server
5.attempt to use packages, like updates, that the satellite server should now have
6.feel the love (or lack of packages), the up2date should fail and complain about missing packages
7.erase the directory
8.mount the same content isos can copy their data to a directory
9.re- satellite-sync the channel (notice that it now uploads packages)
10.re- up2date the system and everything is happy
  

Actual Results:  When the satellite content import directory has not been used, satellite servers synced on that content fail to upload any packages, but still upload the package metadata.

Expected Results:  The satellite server should sync both metadata and package content

Additional info:

Comment 2 Red Hat Bugzilla 2007-05-03 05:34:46 UTC
User wregglej@redhat.com's account has been closed


Note You need to log in before you can comment on or make changes to this bug.